import service from '@/utils/request'

export const getB2BTradeList = (data) => {
    return service({
        url: "/b2b/getB2BTradeList",
        method: 'post',
        data
    })
}
export const getB2BList = (data) => {
    return service({
        url: "/b2b/getB2BList",
        method: 'post',
        data
    })
}

export const getB2BInfo= (data) => {
    return service({
        url: "/b2b/getB2BInfo",
        method: 'post',
        data
    })
}

export const createB2B= (data) => {
    return service({
        url: "/b2b/createB2B",
        method: 'post',
        data
    })
}

export const confirmB2B= (data) => {
    return service({
        url: "/b2b/confirmB2B",
        method: 'post',
        data
    })
}

export const changeB2BTargetFee = (data) => {
    return service({
        url: "/b2b/changeB2BTargetFee",
        method: 'post',
        data
    })
}

export const changeB2BCompanyFee = (data) => {
    return service({
        url: "/b2b/changeB2BCompanyFee",
        method: 'post',
        data
    })
}

export const finishB2B= (data) => {
    return service({
        url: "/b2b/finishB2B",
        method: 'post',
        data
    })
}
export const deleteB2B= (data) => {
    return service({
        url: "/b2b/deleteB2B",
        method: 'post',
        data
    })
}

export const deliverB2B = (data) => {
    return service({
        url: "/b2b/deliverB2B",
        method: 'post',
        data
    })
}

export const addB2BTradeImg= (data) => {
    return service({
        url: "/b2b/addB2BTradeImg",
        method: 'post',
        data
    })
}

// 
export const getTaskList = (data) => {
    return service({
        url: "/task/getTaskList",
        method: 'post',
        data
    })
}

export const changeTaskMakerFee = (data) => {
    return service({
        url: "/task/changeTaskMakerFee",
        method: 'post',
        data
    })
}

export const changeTaskCompanyFee = (data) => {
    return service({
        url: "/task/changeTaskCompanyFee",
        method: 'post',
        data
    })
}

export const payFinishTask = (data) => {
    return service({
        url: "/task/payFinishTask",
        method: 'post',
        data
    })
}

export const deliverTask = (data) => {
    return service({
        url: "/task/deliverTask",
        method: 'post',
        data
    })
}

export const getTaskTradeList = (data) => {
    return service({
        url: "/task/getTaskTradeList",
        method: 'post',
        data
    })
}

export const getTaskMakerTradeList = (data) => {
    return service({
        url: "/task/getTaskMakerTradeList",
        method: 'post',
        data
    })
}

export const addTaskTradeImg= (data) => {
    return service({
        url: "/task/addTaskTradeImg",
        method: 'post',
        data
    })
}
export const getTaskInfo = (data) => {
    return service({
        url: "/task/getTaskInfo",
        method: 'post',
        data
    })
}

export const createTask = (data) => {
    return service({
        url: "/task/createTask",
        method: 'post',
        data
    })
}

export const confirmTask= (data) => {
    return service({
        url: "/task/confirmTask",
        method: 'post',
        data
    })
}

export const deleteTask= (data) => {
    return service({
        url: "/task/deleteTask",
        method: 'post',
        data
    })
}

export const finishTask= (data) => {
    return service({
        url: "/task/finishTask",
        method: 'post',
        data
    })
}


export const setTaskMaker= (data) => {
    return service({
        url: "/task/setTaskMaker",
        method: 'post',
        data
    })
}

export const deleteTaskMaker= (data) => {
    return service({
        url: "/task/deleteTaskMaker",
        method: 'post',
        data
    })
}

export const publishTask= (data) => {
    return service({
        url: "/task/publishTask",
        method: 'post',
        data
    })
}

export const publishB2B= (data) => {
    return service({
        url: "/b2b/publishB2B",
        method: 'post',
        data
    })
}


export const getImg= (data) => {
    return service({
        url: "/wx/getImg",
        method: 'post',
        data
    })
}